$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
//    $(".tbody").on("blur", '.rate', autoAddRows);
    $(".tbody").on("keyup blur focus", ".qty", calDetail);
    $("body").on("keyup", ".ssearch", getSearchData);
    $("body").on("click", ".sload", getSearchData);
//    $("body").on("keyup focus blur", '.remark', autoAddRows);
    $("body").on("keyup focus blur change", '.itemcode', GetItemFromCode);

    function GetItemFromCode() {
        var $row = $(this).closest("tr");
        var itemcode = $row.find(".itemcode").val();
        $.post('show_item_dtl.php', {itemcode: itemcode}, function (data) {
            if (data != '') {
                $row.find(".item").html(data);
//                $row.find(".item").focus();
            }
        });
    }

    function calDetail() {
        var tr = $(this).closest("tr"),
                qty = tr.find(".qty").val(),
                totqty = 0;

        tr.find(".qty").val(qty);

        $(".qty").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                totqty += parseFloat(this.value);
            }
        });
        $(".totqty").val(totqty);
        calMain();
    }

//    function autoAddRows() {
//        var ctr = $('#items').val();
//        var tr = $(this).closest("tr");
//        var srno = tr.find(".srno").val();
//        if (srno == ctr) {
//            AddRows();
//
//        }
//    }

    function remove() {
        $(this).closest("tr").remove();
    }
    
    $("#addnew").click(function(){
        AddRows();
    });
    
    function AddRows() {
        var ctr = $('#items').val();
        var prodtype = $('.prodtype').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('dam_add.php', {ctr: ctr, hide: hide_check, prodtype: prodtype}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    //////////////////////////////////////////////Search Part - Start//////////////////////////////////////////////
    $(".snoRecord").hide();

    $(".searchModal").on('shown.bs.modal', function () {
        $(".ssearch").focus();
        $(".ssearch").val("");
        $(".sfield").val("1");
        getSearchData();
    });

    var smrangeFrom = 0,
            smrangeTo = 40;

    function getSearchData(pagination) {

        $(".sloader").show();

        if (pagination == 'prev') {
            if (smrangeFrom > 0) {
                smrangeFrom = (smrangeFrom - 40);
                smrangeTo = (smrangeTo - 40);
            }
        }
        if (pagination == 'next') {
            smrangeFrom = (smrangeFrom + 40);
            smrangeTo = (smrangeTo + 40);
        }

        var series = $(".series").val(),
                para = $(".para").val(),
                ssearch = $(".ssearch").val(),
                sfield = $(".sfield").val(),
                ioperator = $(".soperator").val(),
                data = {ssearch: ssearch, sfield: sfield, ioperator: ioperator, para: para,
                    series: series, rangeFrom: smrangeFrom, rangeTo: smrangeTo},
        values = "";
        $.ajax({
            type: 'GET',
            dataType: 'json',
            url: "dam_search.php",
            data: data,
            success: function (response) {
                $.each(response, function () {
                    values += "<tr class='clickable-row' data-href='" + this.action + "'>" +
                            "<td align='left'>" + this.vouchno + "</td>" +
                            "<td align='left'>" + this.vouchdt + "</td>" +
                            "<td align='left'>" + this.totqty + "</td>" +
                            "<td align='left'>" + this.rem1 + "</td>" +
                            "<td align='left'>" + this.action + "</td>" +
                            "</tr>";
                });
                $(".sloader").hide();
                $(".sTbody").empty();
                $(".sTbody").html(values);
                if (response) {
                    $(".search-action-bar").show();
                }
            },
            error: function (request, textStatus, errorThrown) {

            }
        });
    }
    $("#search").click(function () {
        getSearchData();
    });
    $(".sprevious").click(function () {
        getSearchData('prev');
    });
    $(".snext").click(function () {
        getSearchData('next');
    });


    //////////////////////////////////////////////Search Part - End  //////////////////////////////////////////////

    function itemCal() {
        var tr = $(this).closest("tr"),
                val = 0, val1 = 0;
//        var taka = tr.find(".taka").val();
        var trqty = tr.find(".trqty").val();
        var rate = tr.find(".rate").val();
        var amount = trqty * rate;
        tr.find(".amount").val(amount);

        $(".trqty").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                val1 += parseFloat(this.value);
            }
        });
        var totq = parseFloat(val1);
        $('.totqty').val(totq);

        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                val += parseFloat(this.value);
            }
        });
        var tot = parseFloat(val);
        $('.totamt').val(tot);
//        mainbCal();
    }

//    function mainbCal() {
//        var tot = 0;
//        var val = 0;
//
//        $(".amount").each(function () {
//            if (!isNaN(this.value) && this.value.length != 0) {
//                val += parseFloat(this.value);
//            }
//        });
//        tot = parseFloat(val);
//        $('.subtotal').val(tot);
//
//        var discperc = $(".discperc").val();
//        var subtotal = $(".subtotal").val();
//        var totdisc = subtotal * discperc / 100;
//        $(".discount").val(totdisc);
//
//
//        var netamt = subtotal - totdisc;
//        if (isNaN(netamt)) {
//            var netamt = subtotal - totdisc;
//            $(".netamt").val(netamt);
//        } else {
//            $(".netamt").val(netamt);
//        }
//    }

//    $(document).keydown(function (event) {
//        //19 for Mac Command+S
//        if (!(String.fromCharCode(event.which).toLowerCase() == 's' && event.altKey) && !(event.which == 19))
//            return true;
//        //alert("Ctrl-s pressed");
//        $("#submit").click();
//        event.preventDefault();
//        return false;
//    });
});